<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");

$id = 0;

if($_REQUEST['id']){$id = $_REQUEST['id'];}
if($_REQUEST['elemento_agregado']){$elemento_agregado = $_REQUEST['elemento_agregado'];}
if($_REQUEST['historia']){$historia = $_REQUEST['historia'];}

$sql = "UPDATE conexiones SET historial = '" . $historia . "' WHERE id = " . $id;
$resultado = mysqli_query($con,$sql);

$sql = "DELETE FROM perdidos WHERE historia = '" . $elemento_agregado . "'";
$resultado = mysqli_query($con,$sql);

$sql = "SELECT historial FROM conexiones WHERE id = " . $id;
$resultado = mysqli_query($con,$sql);
if ($resultado != FALSE){
    if (mysqli_num_rows($resultado) > 0){
        $row = mysqli_fetch_assoc($resultado);
        $historial = $row["historial"];
    }
}


$recalcular = array('sur'=>'','sic'=>'','caudal'=>0,'cantino'=>0,'areaper'=>0,'areaimp'=>0);
$recalcular = recalculo_campos_historial($historial);

if ($recalcular['sur'] != '')
{
    $sql = "UPDATE conexiones SET sur = '" . $recalcular['sur'] . "' WHERE id = " . $id;
    $resultado = mysqli_query($con,$sql); 
}
if ($recalcular['sic'] != '')
{
    $sql = "UPDATE conexiones SET tramite = '" . $recalcular['sic'] . "', caudal = " . $recalcular['caudal'] . ", areaimp = " . $recalcular['areaimp']. ", areaper = " . $recalcular['areaper']. ", cantino = " . $recalcular['cantino'] . " WHERE id = " . $id;
    $resultado = mysqli_query($con,$sql); 
}

mysqli_close($con);
echo json_encode($recalcular);



?>



